Bug 1258889 - can't remove image by specifying its ID
can't remove image by specifying its ID
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker (Show other bugs)
7.1
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Lokesh Mandvekar
atomic-bugs@redhat.com
: Extras, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 09:12 EDT by Michal Minar
Modified: 2016-01-07 16:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 16:50:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Minar 2015-09-01 09:12:49 EDT
Description of problem:
  This is a regression of bz#1209576 [2]

Version-Release number of selected component (if applicable):
  docker-1.7.1-115.el7

How reproducible:
  Hardly

Steps to Reproduce:
1. use docker - pull images, build new ones, start containers
2. try to remove any image by its ID (docker rmi 54bdc57505af)

Actual results:
  Image isn't removed with this error:
  Error response from daemon: could not find image: Prefix can't be empty

Expected results:
  Image is removed.

Additional info:
  Already fixed in docker-1.6.2-8.el7 with a patch [1] merged upstream. The patch did not make it pass a rebase to 1.7.

[1] https://github.com/docker/docker/commit/71a499022904e1da074ded3e1ed874c1b75ccf23
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1209576
Comment 3 Michal Minar 2015-09-01 09:33:13 EDT
Here's a PR with backported fix for 1.7: https://github.com/rhatdan/docker/pull/115
Comment 4 Daniel Walsh 2015-09-02 08:26:06 EDT
I update the rhel7-1.7 branch with this fix.  Did we miss the window to get this into the next RHEL release?
Comment 5 Daniel Walsh 2015-09-02 08:27:43 EDT
https://github.com/docker/docker/issues/12487
Is discussing this issue.
Comment 6 Daniel Walsh 2015-09-29 09:20:50 EDT
Fixed in docker-1.8.2

Note You need to log in before you can comment on or make changes to this bug.